Subject: Re: [PATCH v1 1/3] usb: gadget: NCM: RX function support multiple NDPs

From: Bjørn Mork <[email-masked]>
Date: Thu, 29 May 2014 20:55:16 +0200

Jim Baxter <[email-masked]> writes:

> The NDP was ignoring the wNextNdpIndex in the NDP which
> means that NTBs containing multiple NDPs would have missed
> frames.

Well, just for the record: I believe this field was meant to be reserved
and always 0 in the CDC NCM spec.  Table 3-3, describing 16bit NDPs,
says so.  But reading the spec now, I noticed that there is an
inconsistency between table 3-3 and table 3-4 describing 32bit NDPs.  It
looks like the field is not reserved in the 32bit version.

I am pretty sure that is a specification error, but I guess it doesn't
harm to implement the support anyway.  And it paves the way for an MBIM
gadget :-)

Bjørn